/*************************************************
* priv_popen.h
* Copyright (c) 2003-2005, Rennie deGraaf, Matt Messier, John Viega.  
* All rights reserved.
* $Id: priv_popen.h 20 2005-07-27 01:03:31Z degraaf $
*
* A full-duplex variation on popen() with privilege separation.
* See priv_popen.c for further details
*
* This file is part of the libwheel project.
*
* libwheel is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* libwheel is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with libwheel; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
**************************************************/
#ifndef PRIV_POPEN_H
#define PRIV_POPEN_H

#ifdef __cplusplus
extern "C" {
#endif

/* priv_popen handle*/
typedef struct {
  FILE  *read_fd;
  FILE  *write_fd;
  pid_t child_pid;
} popen_handle_t;

popen_handle_t* priv_popen(char* command, const uid_t newuid, const gid_t newgid);
int priv_pclose(popen_handle_t* p);

#ifdef __cplusplus
}
#endif

#endif /* PRIV_POPEN_H */
